Zoho Mail integration: operations for AI agents
Zoho Mail connects to Type.com as an integration. This page lists the 248 operations documented for Claude and Codex in Type.com: 77 read, 130 write, 41 destructive.
About Zoho Mail
Zoho Mail is a secure and ad-free email hosting platform with collaboration tools, calendar integration, and extensive administrative controls
Categories: Email & Messaging
How to connect Zoho Mail to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
248 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
248 operations listed.
Zoho Mail
- Read
Get organization details
This API is used to retrieve the details of the child organization.
GET /api/organization/{zoid} - Read
Get org subscription details
This API is used to retrieve the subscription details along with the storage information, with allotted and available storage details for the given organization. The details are available for all users along with their individual allotted storage details.
GET /api/organization/{zoid}/storage - Read
Get user storage details
The API retrieves the details of the available and allotted storage information for the particular user in the given Organization.
GET /api/organization/{zoid}/storage/{zuid} - Read
Get organization subscription info
This API is used to retrieve the organization's subscription details, including the base plan, available add-ons, billing currency, plan expiry date, and the status of eDiscovery, backup, and retention flags.
GET /api/organization/{zoid}/subscriptionInfo - Read
Get org spam listing
The API retrieves the Spam Listing Details, Blacklist/ Whitelist domains, and email addresses added for the entire organization by the administrator.
GET /api/organization/{zoid}/antispam/data - Read
Get allowed IPs list
This API is used to fetch the list of allowed IP ranges for your organization.
GET /api/organization/{zoid}/allowedIps - Read
Fetch all domain details
The API fetches a list of all the domains added to the specified organization, including details such as the verification status and verification code.
GET /api/organization/{zoid}/domains - Read
Fetch a specific domain details
The API fetches the detailed information about a particular domain in the specified organization.
GET /api/organization/{zoid}/domains/{domainName} - Read
Get all group details
This API is used to retrieve details of all the groups in the organization.
GET /api/organization/{zoid}/groups - Read
Get specific group details
This API is used to retrieve the details of a specific group in an organization.
GET /api/organization/{zoid}/groups/{zgid} - Read
Get all emails held for moderation
The API retrieves all the emails that are held for moderation in a particular group.
GET /api/organization/{zoid}/groups/{zgid}/messages - Read
Get moderation email content
This API retrieves the content of the email that is held for moderation in a particular group.
GET /api/organization/{zoid}/groups/{zgid}/messages/{messageId} - Read
Fetch All Org Users Details
The API fetches all the user's details for the specified organization, when requested by the organization's admin .
GET /api/organization/{zoid}/accounts - Read
Fetch Single User Details
The API fetches the details of the specified user in the specified organization, when requested by the organization's admin .
GET /api/organization/{zoid}/accounts/{zuid} - Read
Get All Policies
This API is used to retrieve the list of policies created.
GET /api/organization/{zoid}/policy - Read
Get All Email Restrictions
This API is used to retrieve details of all the email restrictions created.
GET /api/organization/{zoid}/policy/mailRestriction - Read
Get All Account Restrictions
This API is used to retrieve details of all the account restrictions created.
GET /api/organization/{zoid}/policy/accountRestriction - Read
Get All Access Restrictions
This API is used to retrieve details of all the access restrictions created.
GET /api/organization/{zoid}/policy/accessRestriction - Read
Get All Forward Restrictions
This API is used to retrieve details of all the forward restrictions created.
GET /api/organization/{zoid}/policy/mailForwardPolicy - Read
Get Policy Users
This API is used to retrieve a list of users associated with a policy.
GET /api/organization/{zoid}/policy/{policyId}/getUsers - Read
Get Policy Groups
This API is used to retrieve a list of groups associated with a policy.
GET /api/organization/{zoid}/policy/{policyId}/getGroups - Read
Get All Accounts of a User
This API is used to retrieve all the accounts details of the authenticated user.
GET /api/accounts - Read
Get a Specific Account Details
This API is used to retrieve details of a specific account.
GET /api/accounts/{accountId} - Read
Get all Folders
This API is used to list all the folders within the specified account.
GET /api/accounts/{accountId}/folders - Read
Get specific folder
This API is used to retrieve a specific folder in a specific account, using the account ID and the folder ID.
GET /api/accounts/{accountId}/folders/{folderId} - Read
Get All Label Details
This API retrieves all label details for the specified account based on the account ID provided in the request.
GET /api/accounts/{accountId}/labels - Read
Get a Specific Label Details
This API retrieves the details of a specific label based on the Account ID and the Label ID provided in the request.
GET /api/accounts/{accountId}/labels/{labelId} - Read
Get list of emails in a folder
The API retrieves a list of all the emails in a specific folder or a list of emails based on predefined conditions like status/flags/labels, and more.
GET /api/accounts/{accountId}/messages/view - Read
Get list of search results
The API retrieves the list of emails, based on the custom search terms and parameters.
GET /api/accounts/{accountId}/messages/search - Read
Get email headers
The API retrieves the internet message headers of a particular email, based on the message ID passed as the request parameter.
GET /api/accounts/{accountId}/folders/{folderId}/messages/{messageId}/header - Read
Get email content
This API is used to retrieve the message contents of an email based on the message ID passed in the request URL. In case, you retrieve an email from a thread, you can add the includeBlockContent parameter to get the reply email and the parent email separately. If block content is available but the includeBlockContent parameter is not passed, then the original email content can only be retrieved.
GET /api/accounts/{accountId}/folders/{folderId}/messages/{messageId}/content - Read
Get original message
This API retrieves the MIME representation of an email message.
GET /api/accounts/{accountId}/messages/{messageId}/originalmessage - Read
Get meta data of an email
The API retrieves the metadata information of an email based on the message ID passed in the request URL.
GET /api/accounts/{accountId}/folders/{folderId}/messages/{messageId}/details - Read
Get attachment info
The API retrieves the attachment information of a particular email, based on the message ID passed in the request URL.
GET /api/accounts/{accountId}/folders/{folderId}/messages/{messageId}/attachmentinfo - Read
Get attachment content
The API is used to retrieve the content of the attachments in an email. In case, there are multiple attachments, the user needs to use the api for each attachment with the respective details.
GET /api/accounts/{accountId}/folders/{folderId}/messages/{messageId}/attachments/{attachmentId} - Read
Download Inline Image
This API enables the user to download inline images embedded in an email.
GET /api/accounts/{accountId}/folders/{folderId}/messages/{messageId}/inline - Read
Get user signature
This API is used to list all available signatures when no specific signature ID is provided. It will retrieve specific signature details when provided with a signature ID.
GET /api/accounts/signature - Read
Get admin-added user signature
This API is used to retrieve the signatures added by an administrator for a specific user account. It also fetches organization-level signatures available for that user account.
GET /api/organization/{zoid}/accounts/{zuid}/signature - Read
Get all tasks in a group or all personal tasks
This API is used to retrieve all your personal tasks or all the tasks in a particular group, providing details for each task such as its ID, title, description, due date, owner, assignee, priority, status, project name, and ID under which it falls, as well as subtasks and attachment details if available.
GET /api/tasks/groups/{zgid} - Read
Get all tasks assigned to you
This API is used to retrieve all tasks assigned to you, providing details for each task such as its ID, title, description, due date, owner, assignee, priority, status, project name, and ID under which it falls, as well as subtasks and attachment details if available.
GET /api/tasks/ - Read
Get all tasks created by you
This API is used to retrieve all tasks created by you, providing details for each task such as its ID, title, description, due date, owner, assignee, priority, status, project name, and ID under which it falls, as well as subtasks and attachment details if available.
GET /api/tasks/ - Read
Get a specific task
This API is used to retrieve detailed information about a particular group or personal task, providing details such as its ID, title, description, due date, owner, assignee, priority, status, project name, and ID under which it falls, as well as subtasks and attachment details if available.
GET /api/tasks/groups/{zgid}/{taskId} - Read
Get all subtasks under a task
This API is used to retrieve all the subtasks added within a particular task, providing details such as its ID, title, description, due date, owner, assignee, priority, status, project name, and ID under which it falls, etc.
GET /api/tasks/groups/{zgid}/{taskId}/subtasks - Read
Get all projects in a group
This API is used to retrieve all the projects created under a specific group.
GET /api/tasks/groups/{zgid}/projects - Read
Get all tasks in a project
This API is used to retrieve all the tasks added under a specific project, providing details for each task such as its ID, title, description, due date, owner, assignee, priority, status, project name, and ID under which it falls, as well as subtasks and attachment details if available.
GET /api/tasks/groups/{zgid}/projects/{projectId} - Read
Get all tasks in a project with given status
This API is used to retrieve all the tasks in the project with the given status, providing details for each task such as its ID, title, description, due date, owner, assignee, priority, status, project name, and ID under which it falls, etc., as well as subtasks and attachment details if available.
GET /api/tasks/groups/{zgid}/projects/{projectId} - Read
Get all groups
This API is used to retrieve details of all the groups where tasks have been added in the organization, providing details for each group such as its ID, name, owner, moderator, and number of members.
GET /api/tasks/groups - Read
Get all tasks in a group with given status
This API is used to retrieve all tasks in a specific group with the specified status (either completed or in progress ), providing details for each task such as its ID, title, description, due date, owner, assignee, priority, status, project name, and ID under which it falls, as well as subtasks and attachment details if available.
GET /api/tasks/groups/{zgid} - Read
Get member details in a group
This API is used to retrieve the details of all the members in a specific group.
GET /api/tasks/groups/{zgid}/members - Read
Get custom status
This API retrieves the custom status associated with a personal task or a group task.
GET /api/tasks/groups/{zgid}/customStatus - Read
Get all attachment details of a group/personal task
This API is used to retrieve details of all the attachments in a group/personal task.
GET /api/tasks/groups/{zgid}/{taskId}/attachments - Read
Download specific attachment of a group/personal task
This API is used to download a specific attachment of a group/personal task. In case, there are multiple attachments in a task, send separate request for each attachment with the respective attachment detail.
GET /api/tasks/groups/{zgid}/{taskId}/attachments/{attachmentId} - Read
Get all groups
This API is used to retrieve all the groups of the user in Bookmarks.
GET /api/links/groups - Read
Get all bookmarks
This API is used to retrieve the details of all bookmarks added within a group or all personal bookmarks added by you.
GET /api/links/groups/{groupId} - Read
Get all favourite bookmarks
This API is used to retrieve the list of all the bookmarks marked as favorite.
GET /api/links/favorites - Read
Get all bookmarks in trash
This API is used to retrieve the details of all bookmarks in trash.
GET /api/links/groups/{groupId}/trash - Read
Get all collections
This API is used to retrieve all collections of the user in the group/personal.
GET /api/links/groups/{groupId}/collections - Read
Get all collections in groups
This API is used to retrieve all collections in groups.
GET /api/links/groups/collections - Read
Get all bookmarks in a collection
This API is used to retrieve the details of all bookmarks added within a specific collection, either within a group or for personal use.
GET /api/links/groups/{groupId}/collections/{collectionId} - Read
Get a bookmark
This API is used to retrieve the details of a specific bookmark.
GET /api/links/groups/{groupId}/{bookmarkId} - Read
Get all groups
This API is used to retrieve all group details of the user in Notes.
GET /api/notes/groups - Read
Get all notes
This API is used to retrieve the details of all the notes added in a group or all personal notes added by you.
GET /api/notes/groups/{groupId} - Read
Get all books
This API serves the purpose of fetching the details of all books associated with a group or personal.
GET /api/notes/groups/{groupId}/books - Read
Get all favourite notes
This API is used to retrieve the details of all the favourite notes.
GET /api/notes/favorites - Read
Get all notes in a book
Use this API to retrieve all notes associated with a particular book in either the personal or group context.
GET /api/notes/groups/{zgid}/books/{bookId} - Read
Get all attachments in a note
This API is used to retrieve the details of all attachments in a note.
GET /api/notes/groups/{groupId}/{noteId}/attachments - Read
Get a note
This API is used to retrieve the details of a specific note.
GET /api/notes/groups/{groupId}/{noteId} - Read
Get an attachment in a note
This API is used to retrieve the details of a specific attachment in a note.
GET /api/notes/groups/{groupId}/{noteId}/attachments/{attachmentId} - Read
Get login history
This API provides a detailed log of login activities for organization accounts within a specified time range. It includes information such as display name, email address, login time, duration, IP address, browser details, and more.
GET /api/organization/{zoid}/accounts/reports/loginHistory - Read
Get audit records
This API retrieves audit records for admin activities within the organization.
GET /api/organization/{zoid}/activity - Read
Get SMTP logs
This API retrieves SMTP logs for email transactions.
POST /api/organization/{zoid}/smtplogs - Read
Get SPF fail option
This API is used to retrieve the current action configured when an incoming email results in an SPF fail during email validation. The response will indicate whether such emails are allowed, rejected (permanently or temporarily), or moved to quarantine.
GET /api/organization/{zoid}/antispam/options - Read
Get SPF Soft fail option
This API is used to retrieve the current action configured when an incoming email results in an SPF soft fail during email validation. The response will indicate whether such emails are allowed, rejected (permanently or temporarily), or moved to quarantine.
GET /api/organization/{zoid}/antispam/options - Read
Get DKIM fail option
This API is used to retrieve the current action configured when an incoming email results in a DKIM fail during email validation. The response will indicate whether such emails are allowed, rejected (permanently or temporarily), or moved to quarantine.
GET /api/organization/{zoid}/antispam/options - Read
Get DMARC fail option
This API is used to retrieve the current action configured when an incoming email results in a DMARC fail during email validation. The response will indicate whether such emails are allowed, moved to quarantine, or moved to spam.
GET /api/organization/{zoid}/antispam/options - Write
Add child organization
This API is used to create a new child organization, along with the domain and other details, and associates it with the partner portal. Only the users having a Partner Admin role can use this API.
POST /api/organization - Write
Add allowed IPs
This API is used to add an Allowed IP range for your organization and assign them to the users based on their role or the entire organization.
POST /api/organization/{zoid}/allowedIps - Write
Update user storage
This API updates the base storage or the extra storage for the particular user in the given organization, as per the mode and the plan type/add-on value provided.
PUT /api/organization/{zoid}/storage/{zuid} - Write
Update org spam process type
This API updates the Organization's spam processing type using which you can disable or set the level of spam filter needed for the organization. The spam configuration would be set as per the value provided in the request JSON Object.
PUT /api/organization/{zoid} - Write
Update org spam listing
The API adds or updates the Organization's Spam Listing Info. The type of listing can be Organization Whitelist/ Blacklist Domains/ Email Addresses/ IP addresses.
PUT /api/organization/{zoid}/antispam/data - Write
Add a domain to an organization
The API adds the specified domain to the given organization.
POST /api/organization/{zoid}/domains - Write
Verify a domain in the organization
The API tries to verify the domain added to the organization, in one of the predefined verification methods . Internally, the domain is verified only if the required verification criteria are successful.
PUT /api/organization/{zoid}/domains/{domainName} - Write
Set as primary domain
The API sets the domain provided as the primary domain of the organization.
PUT /api/organization/{zoid}/domains/{domainName} - Write
Enable email hosting for a domain
The API enables the email hosting for the specified domain.
PUT /api/organization/{zoid}/domains/{domainName} - Write
Add domain alias
The API adds the specified domain as an alias to another domain. The alias domain that we are giving as input should be a verified domain. Learn more about Domain Aliasing here .
PUT /api/organization/{zoid}/domains/{domainName} - Write
Verify MX record
This API is used to verify MX record of your domain. Refer MX Records for detailed documentation.
PUT /api/organization/{zoid}/domains/{domainName} - Write
Verify SPF record
This API is used to verify SPF record of your domain. Refer SPF Records for detailed documentation.
PUT /api/organization/{zoid}/domains/{domainName} - Write
Add DKIM details
This API is used to configure DKIM details for a particular domain added to Zoho Mail. Refer DKIM Configuration for detailed documentation.
PUT /api/organization/{zoid}/domains/{domainName} - Write
Set a DKIM details as default
This API is used to set a default DKIM signature for your domain.
PUT /api/organization/{zoid}/domains/{domainName} - Write
Regenerate DKIM Public Key
This API is used to regenerate a DKIM public key for a particular domain.
PUT /api/organization/{zoid}/domains/{domainName} - Write
Verify DKIM public key
This API is used to verify a DKIM public key of a particular domain.
PUT /api/organization/{zoid}/domains/{domainName} - Write
Enable subdomain stripping
This API is used to enable sub-domain stripping for your domain. Subdomain stripping is the process of removing the subdomains from the main domain and delivering the emails to the main domain directly. To learn more, click here .
PUT /api/organization/{zoid}/domains/{domainName} - Write
Add catch-all address
This API is used to designate an email address as the catch-all account for your organization. A catch-all email account is a user mailbox or group mailbox that captures emails sent to any invalid email addresses of the domain. When configured, the emails sent to any email address related to the domain will not be bounced back. Even the emails addressed to 'non-existing' or 'invalid' email addresses of the domain will be delivered to the catch-all account configured. To learn more, click here .
PUT /api/organization/{zoid}/domains/{domainName} - Write
Add notification address
This API is used to designate an email address as the notification address for your organization. The notification address is the email address to which certain notification emails are sent. These emails include: Group email delivery failure notification, if there is no moderator for the group. Email routing delivery failure or email routing disabled notifications in case of repeated failures. MX Record-related warning notifications for the domain. Mail storage-related notifications for the domain. To learn more, click here .
PUT /api/organization/{zoid}/domains/{domainName} - Write
Create a group
The API is used to create a new group with the specified settings.
POST /api/organization/{zoid}/groups - Write
Moderate emails in a group
This API moderates the email that is held for moderation and delivers the email to the member accounts.
PUT /api/organization/{zoid}/groups/{zgid}/messages - Write
Update group name
This API is used to change the name of a specific group.
PUT /api/organization/{zoid}/groups/{zgid} - Write
Enable streams for a group
This API is used to enable streams for a specific group.
PUT /api/organization/{zoid}/groups/{zgid} - Write
Add group members
This API is used to add members to the group and also define their roles in the group.
PUT /api/organization/{zoid}/groups/{zgid} - Write
Update member status
This API is used to change the status of the members in a group.
PUT /api/organization/{zoid}/groups/{zgid} - Write
Update member role
The API is used to update the role of the group member.
PUT /api/organization/{zoid}/groups/{zgid} - Write
Update member settings
This API is used to update the details of members of a group.
PUT /api/organization/{zoid}/groups/{zgid} - Write
Update threshold limit
This API is used to update the threshold limit.
PUT /api/organization/{zoid}/groups/{zgid} - Write
Update advanced admin settings
This API is used to change the advanced settings for the group.
PUT /api/organization/{zoid}/groups/{zgid} - Write
Add group email alias
This API is used to add email aliases for a group.
PUT /api/organization/{zoid}/groups/{zgid} - Write
Add User to Organization
This API is used to add an user to the organization.
POST /api/organization/{zoid}/accounts - Write
Change the Role of a User
This API can be used to change the role of any user in the organization.
PUT /api/organization/{zoid}/accounts - Write
Change TFA Preference
The API is used to change the TFA preference of a user from enabled to disabled or vice-versa.
PUT /api/organization/{zoid}/accounts/{zuid} - Write
Add an Email Alias
The API is used to add an email alias for a user in the organization.
PUT /api/organization/{zoid}/accounts/{zuid} - Write
Enable External Account (IMAP/POP)
The API is used to enable the previously disabled external IMAP or POP account configured in a particular user's mailbox. This can be performed by the Admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Enable User
The API is used by the admin to reactivate a user account, restoring full access to Zoho Mail and all associated Zoho services.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Change Incoming Status
The API is used to change the incoming status of a user from enabled to disabled or vice-versa.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Change Outgoing Status
The API is used to change the outgoing status of a user from enabled to disabled or vice-versa.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Change IMAP Status
The API is used to change the IMAP status of a user from enabled to disabled or vice-versa.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Change POP Status
The API is used to change the POP status of a user from enabled to disabled or vice-versa.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Change ActiveSync Status
The API is used to change the ActiveSync status of a user from enabled to disabled or vice-versa.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Create Org Policy
This API is used for creating an organization policy.
POST /api/organization/{zoid}/policy - Write
Create Email Restriction
This API is used for creating an email restriction.
POST /api/organization/{zoid}/policy/mailRestriction - Write
Create Account Restriction
This API is used for creating an account restriction.
POST /api/organization/{zoid} - Write
Create Access Restriction
This API is used for creating an access restriction.
POST /api/organization/{zoid}/policy/accessRestriction - Write
Create Forward Restriction
This API is used for creating a forward restriction.
POST /api/organization/{zoid}/policy/mailForwardPolicy - Write
Apply Policy to Users/Groups
This API is used to apply a particular policy to users/groups.
PUT /api/organization/{zoid}/policy/{policyId} - Write
Assign Email Restriction to Policy
This API is used to assign a specific email restriction to a particular policy.
PUT /api/organization/{zoid}/policy/{policyId} - Write
Assign Account Restriction to Policy
This API is used to assign a specific account restriction to a particular policy.
PUT /api/organization/{zoid}/policy/{policyId} - Write
Assign Access Restriction to Policy
This API is used to assign a specific access restriction to a particular policy.
PUT /api/organization/{zoid}/policy/{policyId} - Write
Assign Forward Restriction to Policy
This API assigns a specific forward restriction to a particular policy.
PUT /api/organization/{zoid}/policy/{policyId} - Write
Add Allowed IPs to Access Restriction
This API is used to add the allowed IP address range to an existing access restriction.
PUT /api/organization/{zoid}/policy/accessRestriction/{accessRestrictionId} - Write
Update Mail Account Sequence
This API is used to modify the sequence of mail accounts associated with the user's account. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Update Reply To Address
This API is used to update the reply to address of the account. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Resend Verification for Reply To Address
This API is used to resend the verification email for confirming the Reply-To address associated with the account. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Add Send Mail Details
This API is used to add send mail details such as the display name and the email address of the user. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Update Display Name
This API is used to update the display name of the user. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Update Email Address
This API is used to update the email address of the user. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Update Display Name and Email Address
This API is used to update the display name and the email address of the user. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Add Email Forwarding
This API is used to add email forwarding for a user account to a particular email address. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Verify Email Forwarding
This API is used to verify email forwarding for a user account. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Resend Verification for Email Forwarding
This API is used to resend the verification email for confirming the email forwarding to the account. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Enable Email Forwarding
This API is used to enable email forwarding for a user account. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Add Vacation Reply
This API is used to add vacation reply to an account. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Update Vacation Reply
This API is used to update vacation reply to an account. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Write
Create a new folder
This API is for adding a new folder to a specific account.
POST /api/accounts/{accountId}/folders - Write
Rename folder
This API is used to rename a specific folder within a particular account.
PUT /api/accounts/{accountId}/folders/{folderId} - Write
Move folder
This API serves the purpose of relocating a specific folder to a new parent folder.
PUT /api/accounts/{accountId}/folders/{folderId} - Write
Enable IMAP view for folder
This API enables a specific folder to be viewable and accessible via IMAP.
PUT /api/accounts/{accountId}/folders/{folderId} - Write
Mark folder as read
This API is used to mark a specific folder in a specific account as read.
PUT /api/accounts/{accountId}/folders/{folderId} - Write
Empty folder
This API helps to delete all the emails in the specified folder.
PUT /api/accounts/{accountId}/folders/{folderId} - Write
Create a New Label
The API creates a new label in the specified account.
POST /api/accounts/{accountId}/labels - Write
Update a Label
The API updates the particular Label with the given display name and colour.
PUT /api/accounts/{accountId}/labels/{labelId} - Write
Send an email
This API is used to send an email.
POST /api/accounts/{accountId}/messages - Write
Send an email with attachment
The API is used to send an email with attachments. The attachments should be uploaded to the File Store using the 'Upload Attachments' API. The response values, storeName, attachmentName and attachmentPath from that API should be used in the Request Body of this API.
POST /api/accounts/{accountId}/messages - Write
Upload attachments
This API enables you to upload attachments before using them in an email. There are two methods to upload attachments: MULTIPART_FORM_DATA RAW file Refer here to check the API for sending an email with attachments.
POST /api/accounts/{accountId}/messages/attachments - Write
Save draft/template
This API is used to compose and save an email as a draft or a template in a specified user account.
POST /api/accounts/{accountId}/messages - Write
Reply to an email
This API is used to send a reply to a received email.
POST /api/accounts/{accountId}/messages/{messageId} - Write
Mark emails as read
This API is used to mark single or multiple emails as read.
PUT /api/accounts/{accountId}/updatemessage - Write
Mark emails as unread
This API is used to mark single or multiple emails as unread.
PUT /api/accounts/{accountId}/updatemessage - Write
Move emails
This API is used to move a particular email or a group of emails from the existing folder to a new folder.
PUT /api/accounts/{accountId}/updatemessage - Write
Flag emails
This API is used to set one of the four flags (info, important, follow-up, flag_not_set) for a particular email or a group of emails.
PUT /api/accounts/{accountId}/updatemessage - Write
Apply labels to emails
This API is used to apply labels to a particular email or a group of emails.
PUT /api/accounts/{accountId}/updatemessage - Write
Archive email
This API is used to archive an email or a group of emails.
PUT /api/accounts/{accountId}/updatemessage - Write
Unarchive email
This API is used to unarchive an email or a group of emails.
PUT /api/accounts/{accountId}/updatemessage - Write
Mark email as spam
This API is used to mark a particular email or a group of emails as spam.
PUT /api/accounts/{accountId}/updatemessage - Write
Mark email as not spam
This API is used to mark a particular email or a group of emails as not spam.
PUT /api/accounts/{accountId}/updatemessage - Write
Add user signature
This API allows users to add a specific email signature.
POST /api/accounts/signature - Write
Add admin-added user signature
This API enables administrators to add a signature to a user account. Note: This API does not allow administrators to add organization-level signatures.
POST /api/organization/{zoid}/accounts/{zuid}/signature - Write
Update user signature
This API is used to update a specific email signature.
PUT /api/accounts/signature - Write
Update admin-added user signature
This API enables administrators to update the admin-added signatures associated with a user account. Note: This API does not allow administrators to update organization-level signatures.
PUT /api/organization/{zoid}/accounts/{zuid}/signature - Write
Flag thread
This API is used to apply a flag to single or multiple threads.
PUT /api/accounts/{accountId}/updatethread - Write
Move thread
This API is used to move single or multiple threads.
PUT /api/accounts/{accountId}/updatethread - Write
Apply Label to thread
This API is used to apply label to single or multiple threads.
PUT /api/accounts/{accountId}/updatethread - Write
Mark thread as read
This API is used to mark single or multiple threads as read.
PUT /api/accounts/{accountId}/updatethread - Write
Mark thread as unread
This API is used to mark single or multiple threads as unread.
PUT /api/accounts/{accountId}/updatethread - Write
Mark thread as spam
This API is used to mark single or multiple threads as spam.
PUT /api/accounts/{accountId}/updatethread - Write
Mark thread as not spam
This API is used to mark single or multiple threads as not spam.
PUT /api/accounts/{accountId}/updatethread - Write
Add a new group or personal task
This API is used to add a new group/personal task.
POST /api/tasks/me - Write
Add a new project
This API is used to add a new project under a group.
POST /api/tasks/groups/{zgid}/projects - Write
Add custom status
This API is used to add a custom status to a group or personal tasks. Note: Under Tasks, inprogress and completed are the currently available task status. In addition to these, users can now define their own status, referred to as custom status and add it to group or personal tasks.
POST /api/tasks/groups/{zgid}/customStatus - Write
Change task title
This API is used to change the title of a particular task.
PUT /api/tasks/groups/{zgid}/{taskId} - Write
Change task description
This API is used to change the description of a particular task.
PUT /api/tasks/groups/{zgid}/{taskId} - Write
Change task priority
This API is used to change the priority of a specific task.
PUT /api/tasks/groups/{zgid}/{taskId} - Write
Change task status
This API is used to change the status of a specific task.
PUT /api/tasks/groups/{zgid}/{taskId} - Write
Change task project
This API is used to change the project to which a particular task belongs.
PUT /api/tasks/groups/{zgid}/{taskId} - Write
Change task assignee
This API is used to change the group member to whom the task is assigned.
PUT /api/tasks/groups/{zgid}/{taskId} - Write
Set/ change task due date
This API is used to either set a due date for a task or change the existing due date with a new one.
PUT /api/tasks/groups/{zgid}/{taskId} - Write
Set/ change task reminder
This API is used to set or change the reminder date and the reminder type (email or notification) for a task.
PUT /api/tasks/groups/{zgid}/{taskId} - Write
Set/ change task reminder based on due date
This API is used to set or replace a reminder for a task based on the due date that has been set. For example, you can configure the reminder to notify you one or two days before the due date.
PUT /api/tasks/groups/{zgid}/{taskId} - Write
Set/ change recurring task
This API is used to customize settings in a recurring task or to modify existing details in a recurring task.
PUT /api/tasks/groups/{zgid}/{taskId} - Write
Edit a project
This API is used to edit the name of an existing project under a specific group.
PUT /api/tasks/groups/{zgid}/projects/{projectId} - Write
Edit custom status
This API is used to edit a custom status of a group or personal tasks.
PUT /api/tasks/groups/{zgid}/customStatus - Write
Restore a deleted group/personal task
This API is used to restore a previously deleted group or personal task. The task will be restored to the same category under group/personal tasks from which it was deleted. When a task along with a subtask is deleted and moved to trash, restoring the parent task will restore the subtask too. However, if only the subtask is restored, it will be restored as an individual parent task.
PUT /api/tasks/groups/{zgid}/{taskId}/restore - Write
Create a bookmark
This API is used to create/add a new bookmark.
POST /api/links/groups/{groupId} - Write
Create a collection
This API is used to add/create a new collection.
POST /api/links/groups/{groupId}/collections - Write
Edit a bookmark
This API is used to edit the details of a specific bookmark.
PUT /api/links/groups/{groupId}/{bookmarkId} - Write
Restore a bookmark
This API is used to restore a previously deleted bookmark.
PUT /api/links/groups/{groupId}/{bookmarkId}/restore - Write
Edit a collection
This API is used to edit the details of a specific collection.
PUT /api/links/groups/{groupId}/collections/{collectionId} - Write
Mark a bookmark as favorite
This API is used to mark a specific bookmark as favourite.
PUT /api/links/groups/{groupId}/{bookmarkId}/favorite - Write
Create a note
This API is used to create a note.
POST /api/notes/groups/{groupId} - Write
Create a book
This API is used to create a new book in notes.
POST /api/notes/groups/{groupId}/books - Write
Add an attachment to a note
This API is used to add attachments to a note.
POST /api/notes/groups/{groupId}/{noteId}/attachments - Write
Edit a note
This API is used to edit a note.
PUT /api/notes/groups/{groupId}/{noteId} - Write
Edit a book
This API is used to edit a book in notes.
PUT /api/notes/groups/{groupId}/books/{bookId} - Write
Mark a note as favorite
This API is used to mark a note as favorite.
PUT /api/notes/groups/{groupId}/{noteId}/favorite - Write
Update SPF fail option
This API is used to update the action taken when an incoming email results in an SPF fail during email validation. You can choose to move such emails to quarantine, reject them (permanently or temporarily), or allow them.
PUT /api/organization/{zoid}/antispam/options - Write
Update SPF Soft fail option
This API is used to update the action taken when an incoming email results in an SPF soft fail during email validation. You can choose to move such emails to quarantine, reject them (permanently or temporarily), or allow them.
PUT /api/organization/{zoid}/antispam/options - Write
Update DKIM fail option
This API is used to update the action taken when an incoming email results in an DKIM fail during email validation. You can choose to move such emails to quarantine, reject them (permanently or temporarily), or allow them.
PUT /api/organization/{zoid}/antispam/options - Write
Update DMARC fail option
This API is used to update the action taken when an incoming email results in an DMARC fail during email validation. You can choose to move such emails to quarantine, spam, or allow them.
PUT /api/organization/{zoid}/antispam/options - Destructive
Remove org spam listing
The API removes the Organization's Spam Listing Info. The type of listing can be Organization Whitelist/ Blacklist Domains or Email Addresses.
DELETE /api/organization/{zoid}/antispam/data - Destructive
Delete allowed IPs
This API is used to delete an Allowed IP range for your organization.
DELETE /api/organization/{zoid}/allowedIps - Destructive
Remove d omain alias
The API removes the existing domain alias and disassociates the domain from the other domain.Learn more about Domain Alias here .
PUT /api/organization/{zoid}/domains/{domainName} - Destructive
Delete a DKIM details
This API is used to delete an existing DKIM detail for a particular domain.
PUT /api/organization/{zoid}/domains/{domainName} - Destructive
Disable subdomain stripping
This API is used to disable sub-domain stripping for your domain.
PUT /api/organization/{zoid}/domains/{domainName} - Destructive
Delete catch-all address
This API is used to delete the catch-all address of your domain.
PUT /api/organization/{zoid}/domains/{domainName} - Destructive
Delete notification address
This API is used to delete the designated notification address of your domain.
PUT /api/organization/{zoid}/domains/{domainName} - Destructive
Delete a Domain from the organization
The API removes the specified domain from the organization.
DELETE /api/organization/{zoid}/domains/{domainName} - Destructive
Delete group members
This API is used to delete existing members from a group.
PUT /api/organization/{zoid}/groups/{zgid} - Destructive
Remove group email alias
This API is used to remove email aliases from the group email address.
PUT /api/organization/{zoid}/groups/{zgid} - Destructive
Delete group
This API is used to delete a group from the organization.
DELETE /api/organization/{zoid}/groups - Destructive
Reset the Password of a User
The API is used to reset the password of a user in the organization.
PUT /api/organization/{zoid}/accounts/{zuid} - Destructive
Remove an Email Alias
The API is used to remove the email alias for the user in the organization.
PUT /api/organization/{zoid}/accounts/{zuid} - Destructive
Disable External Account (IMAP/POP)
The API is used to disable an external IMAP or POP account configured in a particular user’s mailbox. This does not impact the user's primary Zoho mailbox or their login access. This can be done by the Admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Destructive
Disable User
The API is used by the admin to disable a user account, revoke their access to all Zoho services, and block any further login.
PUT /api/organization/{zoid}/accounts/{accountId} - Destructive
Delete User Account
The API is used to delete a user's mailbox. Any user account that is a part of an organization can be deleted using this API.
DELETE /api/organization/{zoid}/accounts - Destructive
Disable Email Forwarding
This API is used to disable email forwarding for a user account. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Destructive
Delete Zoho Mail copy in Email Forwarding
This API is used to delete the Zoho Mail copy of the email after forwarding the email. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Destructive
Remove Email Forwarding
This API is used to remove/delete email forwarding configured for an email address. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Destructive
Remove Vacation Reply
This API is used to remove/delete vacation reply added to an account. This can be done by the admin for a user or by the user for themselves.
PUT /api/organization/{zoid}/accounts/{accountId} - Destructive
Disable IMAP view for folder
This API disables a specific folder from being viewable and accessible via IMAP.
PUT /api/accounts/{accountId}/folders/{folderId} - Destructive
Delete folder
This API is used to delete a specific folder in a specific account, using the account ID and the folder ID.
DELETE /api/accounts/{accountId}/folders/{folderId} - Destructive
Delete a Label
The API deletes the label and removes the label from all the associated messages.
DELETE /api/accounts/{accountId}/labels/{labelId} - Destructive
Remove labels from an emails
This API is used to remove a specific labels from a particular email or a group of emails.
PUT /api/accounts/{accountId}/updatemessage - Destructive
Remove all labels from emails
This API is used to remove all labels from a particular email or a group of emails.
PUT /api/accounts/{accountId}/updatemessage - Destructive
Delete email
This API is used to delete an email.
DELETE /api/accounts/{accountId}/folders/{folderId}/messages/{messageId} - Destructive
Delete user signature
This API is used to delete a specific signature for a particular user.
DELETE /api/accounts/signature - Destructive
Delete admin-added user signature
This API enables administrators to delete admin-added signature for a specific user account. Note: This API does not allow administrators to delete organization-level signatures.
DELETE /api/organization/{zoid}/accounts/{zuid}/signature - Destructive
Remove label from thread
This API is used to remove the label(s) from single or multiple threads.
PUT /api/accounts/{accountId}/updatethread - Destructive
Remove all labels from thread
This API is used to remove all labels from single or multiple threads.
PUT /api/accounts/{accountId}/updatethread - Destructive
Delete a project
This API is used to delete a specific project that has been added under a specific group.
DELETE /api/tasks/groups/{zgid}/projects/{projectId} - Destructive
Delete a group/personal task
This API is used to delete a group task.
DELETE /api/tasks/groups/{GroupID}/{entityId} - Destructive
Delete custom status
This API is used to delete a custom status added to a group or personal tasks. Note: Users can delete only the custom status created by them. The predefined statuses(inprogress and completed) cannot be deleted.
DELETE /api/tasks/groups/{zgid}/customStatus - Destructive
Delete attachments from a group/personal task
This API is used to delete one or more attachment(s) from a group/personal task. Multiple files can be deleted in a single request.
DELETE /api/tasks/groups/{zgid}/{taskId}/attachments - Destructive
Unmark a bookmark as favorite
This API is used to remove favorite mark from a specific bookmark.
DELETE /api/links/groups/{groupId}/{bookmarkId}/favorite - Destructive
Delete a bookmark
This API is used to delete a specific bookmark.
DELETE /api/links/groups/{groupId}/{bookmarkId} - Destructive
Delete a collection
This API is used to delete a specific bookmark collection.
DELETE /api/links/groups/{groupId}/collections/{collectionId} - Destructive
Unmark a note as favorite
This API is used to remove favorite mark from a note.
DELETE /api/notes/groups/{groupId}/{noteId}/favorite - Destructive
Delete an attachment in a note
This API is used to delete a specific attachment in a note.
DELETE /api/notes/groups/{groupId}/{noteId}/attachments/{attachmentId} - Destructive
Delete a book
This API is used to delete a book in notes.
DELETE /api/notes/groups/{groupId}/books/{bookId} - Destructive
Delete a note
This API is used to delete a note.
DELETE /api/notes/groups/{groupId}/{noteId}
No operations match.
See How connections work for access and permissions, or browse all integrations.
Reference date: October 28, 2026. Zoho Mail API docs.